> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mcp servers list



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml get /mcp-servers
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /mcp-servers:
    servers:
      - url: https://api.apps.paloaltonetworks.com/ai_gw/v2
        description: Managed
    get:
      tags:
        - MCP Servers
      operationId: McpServers_list
      parameters:
        - in: query
          name: workspace_id
          schema:
            type: string
        - name: current_page
          in: query
          schema:
            type: integer
            minimum: 0
            default: 0
        - name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
        - name: id
          in: query
          schema:
            type: string
        - name: search
          in: query
          schema:
            type: string
            maxLength: 255
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpServerListResponse'
components:
  schemas:
    McpServerListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/McpServerListItem'
        total:
          type: integer
    McpServerListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        organisation_id:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        status:
          type: string
        created_at:
          type: string
          format: date-time
        owner_id:
          type: string
        slug:
          type: string
        workspace_id:
          type: string
          nullable: true
        mcp_integration_id:
          type: string
        mcp_integration_slug:
          type: string
          nullable: true
        mcp_integration_url:
          type: string
          format: uri
          nullable: true
        auth_type:
          type: string
        workspace_name:
          type: string
          nullable: true
        workspace_slug:
          type: string
          nullable: true
        url:
          type: string
          format: uri
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````